RPC_LOCALADDR(9)

NAME
rpc_localaddr - discover local endpoint address for an RPC client

SYNOPSIS

int rpc_localaddr(struct rpc_clnt * clnt, struct sockaddr * buf, size_t buflen);

ARGUMENTS

clnt
    RPC client structure

buf
    target buffer

buflen
    size of target buffer, in bytes

DESCRIPTION

Returns zero and fills in “buf” and “buflen” if successful; otherwise, a negative errno is returned.

This works even if the underlying transport is not currently connected, or if the upper layer never previously provided a source address.

THE RESULT OF THIS FUNCTION CALL IS TRANSIENT

multiple calls in succession may give different results, depending on how local networking configuration changes over time.

COPYRIGHT